<?php
session_start();
require_once('../../conexion.php');
require_once('../../include/sesiones.php');
// Declaramos la librería
require  ('vendor/autoload.php');

$desde=$_GET['desde'];
$hasta=$_GET['hasta'];
$cliente=$_GET['cliente'];
$reporte=$_GET['reporte'];

if ($reporte=='pos')
{
    if($cliente==0)
    {
        $query=mysqli_query($con,"SELECT * FROM ventas where ven_fecha between '$desde' and '$hasta' and ven_tipo='$reporte' and sucursal='$sucursal' and empresa='$empresa' and ven_estado<>'anulada' order by ven_id asc") or die(mysqli_error($con));

    }
    else
    {
        $query=mysqli_query($con,"SELECT * FROM ventas where ven_fecha between '$desde' and '$hasta' and ven_tipo='$reporte' and sucursal='$sucursal' and empresa='$empresa' and ven_estado<>'anulada' and Cliente_clie_id='$cliente' order by ven_id asc") or die(mysqli_error($con));

    }
} 
else if ($reporte=='electronica')
{
    if($cliente==0)
    {
        $query=mysqli_query($con,"SELECT * FROM ventas where ven_fecha between '$desde' and '$hasta' and ven_tipo='$reporte' and sucursal='$sucursal' and empresa='$empresa' and ven_estado<>'anulada' order by ven_id asc") or die(mysqli_error($con));

    }
    else
    {
        $query=mysqli_query($con,"SELECT * FROM ventas where ven_fecha between '$desde' and '$hasta' and ven_tipo='$reporte' and sucursal='$sucursal' and empresa='$empresa' and ven_estado<>'anulada' and Cliente_clie_id='$cliente' order by ven_id asc") or die(mysqli_error($con));

    }

}
 else
{
    if($cliente==0)
    {
        $query=mysqli_query($con,"SELECT * FROM ventas where ven_fecha between '$desde' and '$hasta' and sucursal='$sucursal' and empresa='$empresa' and ven_estado<>'anulada' order by ven_id asc") or die(mysqli_error($con));

    }
    else
    {
        $query=mysqli_query($con,"SELECT * FROM ventas where ven_fecha between '$desde' and '$hasta' and sucursal='$sucursal' and empresa='$empresa' and ven_estado<>'anulada' and Cliente_clie_id='$cliente' order by ven_id asc") or die(mysqli_error($con));

    }
}



use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

$spread = new Spreadsheet();

$sheet = $spread->getActiveSheet();
$sheet->getStyle('A:Z')->getAlignment()->setHorizontal('center');/* centar contenido de celdas */
$sheet->mergeCells('A1:E1')->mergeCells('A2:E2');/*combinas celdas*/

function cellColor($cells,$color)/* FUNSION PARA COLORES DE CELDA*/
{
    global $sheet;

    $sheet->getStyle($cells)->getFill()
    ->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)
    ->getStartColor()
    ->setARGB($color);
}

cellColor('A2:E2', 'BDBDBD'); 
cellColor('A1:E1', 'BDBDBD'); 
cellColor('A3:E3', 'FF4D00'); 


$sheet->setCellValue('A1', 'REPORTE VENTAS IVA')
            ->setCellValue('A2', 'DESDE '.$desde.' HASTA '.$hasta)
            ->setCellValue('A3', 'FACTURA')
            ->setCellValue('B3', 'CLIENTE')
            ->setCellValue('C3', 'TOTAL FACTURADO')
            ->setCellValue('D3', 'IVA')
            ->setCellValue('E3', 'TOTAL');

            //Ancho de las columnas
$sheet->getColumnDimension('A')->setWidth(10);   
$sheet->getColumnDimension('B')->setWidth(20);  
$sheet->getColumnDimension('C')->setWidth(20); 
$sheet->getColumnDimension('D')->setWidth(20); 
$sheet->getColumnDimension('E')->setWidth(20);


$cel=4;//Numero de fila donde empezara a crear  el reporte

$hasta1 = strtotime($hasta."+ 1 days");
date("Y-m-d",$hasta1) . "\n";
$hastaf=date("Y-m-d",$hasta1) . "\n";


$global_neto=0;
$total_devolucion=0;
$global_iva=0;
while ($roww=mysqli_fetch_array($query))    
{    
    $ven_id=$roww['ven_id'];
    $ven_nombre=$roww['ven_nombre'];
    $ven_n_venta=$roww['ven_n_venta'];
    $ven_prefijo=$roww['ven_prefijo'];

    $sumador_total=0;

    $neto=0;
    $total_descuento=0;
    $total_iva=0;
    $total_retencion=0;
    $sumador_articulos=0;

   

    $ret=mysqli_query($con, "SELECT * FROM retencion_venta where ventas_ven_id='$ven_id' ") or die(mysqli_error($con)); 
    $rets=mysqli_fetch_array($ret);
    $ret_porcentaje=$rets['porcentaje'];

    $sql=mysqli_query($con, "SELECT * from venta_detalle where ventas_ven_id='$ven_id'");
    while ($row=mysqli_fetch_array($sql))
    {
        $vend_referencia=$row['vend_referencia'];
        $vend_nombre=$row['vend_nombre'];
        $vend_cantidad=$row['vend_cantidad'];
        $vend_precio=$row['vend_precio'];
        $vend_iva=$row['vend_iva'];
        $vend_descuento=$row['vend_desc'];
        $iva0=$vend_iva/100; //0.19
        $iva1=1+$iva0; //1.19

        $precio_total_item=$vend_precio*$vend_cantidad;//precio normal 1.000.000
        $precio_total_sin_iva_item=($vend_precio/$iva1)*$vend_cantidad; //precio sin iva  840.336
        $descuento_item=($vend_descuento/100)*$precio_total_sin_iva_item; //descuento_item 84.033
        $total_iva_item=$precio_total_sin_iva_item*$iva0; // total iva  159.336

        $neto+=$precio_total_sin_iva_item;
        $total_descuento+=$descuento_item;
        $total_iva+=$total_iva_item;

        $sumador_articulos=($neto+$total_iva)-$total_descuento;
    }
    

    $sumador_combo=0;
    $descuento_combo_total=0;
    $neto_combo=0;
    $sql1=mysqli_query($con, "SELECT * from venta_detalle_combo where ven_id='$ven_id'");
    while ($row1=mysqli_fetch_array($sql1))
    {
        $combo_cantidad=$row1["combo_cantidad"];
        $combo_precio=$row1['combo_precio'];
        $combo_nombre=$row1['combo_nombre'];
        $combo_desc=$row1['combo_desc'];
        $precio_total=$combo_cantidad*$combo_precio;
        $descuento_combo_total+=($combo_desc/100)*$precio_total;

        $neto_combo+=$precio_total;
        $sumador_combo=$neto_combo-$descuento_combo_total;
    }

    

    $total_devo=0;
    $sql2=mysqli_query($con, "SELECT * from devolucion where ventas_ven_id='$ven_id'");
    while ($row2=mysqli_fetch_array($sql2))
    {
        $dev_cantidad=$row2['dev_cantidad'];
        $dev_precio=$row2['dev_precio'];
        $total_devo+=$dev_precio;
    }

    
    $total_retencion+=($neto+$sumador_combo-$total_descuento)*($ret_porcentaje/100);
    $sumador_total=$sumador_articulos+$sumador_combo-$total_retencion;

    $neto_total=$neto+$neto_combo;

    $global_neto+=$neto_total;
    $global_iva+=$total_iva;

        
        $a="A".$cel;
        $b="B".$cel;
        $c="C".$cel;
        $d="D".$cel;
        $e="E".$cel;
     
        $sheet->setCellValue($a, $ven_prefijo.$ven_n_venta)
        ->setCellValue($b, $ven_nombre)
        ->setCellValue($c, number_format($neto_total,0))
        ->setCellValue($d, number_format($total_iva,0))
        ->setCellValue($e, number_format($neto_total+$total_iva,0));

    $cel+=1;
}


        $b="B".$cel;
        $c="C".$cel;
        $d="D".$cel;
        $e="E".$cel;

        // Agregar datos
        $sheet
        ->setCellValue($b, 'TOTAL GENERAL')
        ->setCellValue($c,  number_format($global_neto,0))
        ->setCellValue($d,  number_format($global_iva,0))
        ->setCellValue($e,  number_format($global_neto+$global_iva,0));

          cellColor('A'.$cel.':E'.$cel, 'BDBDBD');


// Redirigir la salida al navegador web de un cliente ( Excel5 )
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename="REPORTE VENTAS IVA.xlsx"');
header('Cache-Control: max-age=0');
// Si usted está sirviendo a IE 9 , a continuación, puede ser necesaria la siguiente
header('Cache-Control: max-age=1');

$writer = new Xlsx($spread);
$writer->save('php://output');
exit;
/*
$fileName="Descarga_excel.xlsx";
# Crear un "escritor"
$writer = new Xlsx($spread);
# Le pasamos la ruta de guardado

header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment; filename="'. urlencode($fileName).'"');
$writer->save('php://output');
?>*/
?>